{% from "bootstrap5/form.html" import quick_form, render_field %}
{% extends "process_runner.html" %}
{% block title %}{{title}}{% endblock %}

{% block before_form %}
<p>
  <a class="btn btn-primary" data-bs-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
    Show network interfaces
  </a>
</p>
<div class="collapse" id="collapseExample">
  <div class="card card-body">
  	<pre>{{ifconfig_output}}</pre>
  </div>
</div>
{% endblock %}

{% block form_fields %}
	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.server) }}
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.duration) }}
		</div>
	</div>

	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.bitrate) }}
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.buffer_length) }}
		</div>
	</div>

	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.window_size) }}
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.segment_size) }}
		</div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.verbose) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.reverse) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.udp) }}
		</div>
	</div>

	<div class="row">
		<div class="col-8 g-4">
			{{ render_field(form.other) }}
		</div>
	</div>



{% endblock %}
